monad-par-0.3.4.8: A library for parallel programming based on a monad

Safe Haskell | None
Language | Haskell98

Control.Monad.Par.Scheds.Sparks

Description

This scheduler uses sparks (par/pseq) directly, but only supplies the `Monad.Par.Class.ParFuture` interface.

# Documentation

data Par a Source #

Constructors

Done a |

Instances

Monad Par Source # |
Instance details Defined in Control.Monad.Par.Scheds.Sparks Methods (>>=) :: Par a -> (a -> Par b) -> Par b Source # (>>) :: Par a -> Par b -> Par b Source # return :: a -> Par a Source # fail :: String -> Par a Source #
Functor Par Source # |
Instance details Defined in Control.Monad.Par.Scheds.Sparks Methods fmap :: (a -> b) -> Par a -> Par b Source # (<$) :: a -> Par b -> Par a Source #
Applicative Par Source # |
Instance details Defined in Control.Monad.Par.Scheds.Sparks Methods pure :: a -> Par a Source # (<*>) :: Par (a -> b) -> Par a -> Par b Source # liftA2 :: (a -> b -> c) -> Par a -> Par b -> Par c Source # (*>) :: Par a -> Par b -> Par b Source # (<*) :: Par a -> Par b -> Par a Source #
ParFuture Future Par Source # |
Instance details Defined in Control.Monad.Par.Scheds.Sparks Methods spawn :: NFData a => Par a -> Par (Future a) Source # spawn_ :: Par a -> Par (Future a) Source # get :: Future a -> Par a Source # spawnP :: NFData a => a -> Par (Future a) Source #

data Future a Source #

Constructors

Future a |

Instances

ParFuture Future Par Source # |
Instance details Defined in Control.Monad.Par.Scheds.Sparks Methods spawn :: NFData a => Par a -> Par (Future a) Source # spawn_ :: Par a -> Par (Future a) Source # get :: Future a -> Par a Source # spawnP :: NFData a => a -> Par (Future a) Source #

runPar :: Par a -> a Source #

get :: Future a -> Par a Source #

spawn :: NFData a => Par a -> Par (Future a) Source #

spawn_ :: Par a -> Par (Future a) Source #

spawnP :: NFData a => a -> Par (Future a) Source #